Loading...
Searching...
No Matches
pdumodel::Controller::StatusChangedEvent Struct Reference

Event: Controller communication status has changed. More...

Inheritance diagram for pdumodel::Controller::StatusChangedEvent:

## Public Attributes

Status | oldStatus
| Status before change.
Status | newStatus
| Status after change.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Controller communication status has changed.

Definition at line 62 of file Controller.idl.

## Member Data Documentation

## newStatus

Status pdumodel::Controller::StatusChangedEvent::newStatus

Status after change.

Definition at line 64 of file Controller.idl.

## oldStatus

Status pdumodel::Controller::StatusChangedEvent::oldStatus

Status before change.

Definition at line 63 of file Controller.idl.

The documentation for this struct was generated from the following file:

- Controller.idl